From lmendez19@austin.rr.com Tue May 10 15:13:49 2005
From: Lonnie Mendez <lmendez19@austin.rr.com>
To: greg@kroah.com
Subject: USB: cypress_m8: add support for the DeLorme Earthmate lt-20
Date: Tue, 10 May 2005 17:09:52 -0500
Message-Id: <200505101709.52296.lmendez19@austin.rr.com>

This patch adds support for the DeLorme Earthmate lt-20 to the
cypress_m8 driver.  The device was tested and found to be compatible
with the cypress_m8 driver.  This is a resend with the complete patch
which properly compiles.

Adds support for the DeLorme Earthmate lt-20 to the cypress_m8 driver.


Signed-off-by: Lonnie Mendez <lmendez19@austin.rr.com>
Signed-off-by: Greg Kroah-Hartman <gregkh@suse.de>


---
 drivers/usb/serial/cypress_m8.c |    2 ++
 drivers/usb/serial/cypress_m8.h |    1 +
 2 files changed, 3 insertions(+)

--- gregkh-2.6.orig/drivers/usb/serial/cypress_m8.h	2005-03-01 23:38:07.000000000 -0800
+++ gregkh-2.6/drivers/usb/serial/cypress_m8.h	2005-05-13 14:24:54.000000000 -0700
@@ -13,6 +13,7 @@
 /* DeLorme Earthmate USB - a GPS device */
 #define	VENDOR_ID_DELORME		 0x1163
 #define PRODUCT_ID_EARTHMATEUSB		 0x0100
+#define PRODUCT_ID_EARTHMATEUSB_LT20	 0x0200
 
 /* Cypress HID->COM RS232 Adapter */
 #define VENDOR_ID_CYPRESS		 0x04b4
--- gregkh-2.6.orig/drivers/usb/serial/cypress_m8.c	2005-05-10 14:10:27.000000000 -0700
+++ gregkh-2.6/drivers/usb/serial/cypress_m8.c	2005-05-13 14:24:55.000000000 -0700
@@ -89,6 +89,7 @@
 
 static struct usb_device_id id_table_earthmate [] = {
 	{ USB_DEVICE(VENDOR_ID_DELORME, PRODUCT_ID_EARTHMATEUSB) },
+	{ USB_DEVICE(VENDOR_ID_DELORME, PRODUCT_ID_EARTHMATEUSB_LT20) },
 	{ }						/* Terminating entry */
 };
 
@@ -99,6 +100,7 @@
 
 static struct usb_device_id id_table_combined [] = {
 	{ USB_DEVICE(VENDOR_ID_DELORME, PRODUCT_ID_EARTHMATEUSB) },
+	{ USB_DEVICE(VENDOR_ID_DELORME, PRODUCT_ID_EARTHMATEUSB_LT20) },
 	{ USB_DEVICE(VENDOR_ID_CYPRESS, PRODUCT_ID_CYPHIDCOM) },
 	{ }						/* Terminating entry */
 };
